Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create invite

admin.organization.invites.create(**kwargs) -> Invite
POST
/organization/invites

Create an invite for a user to the organization. The invite must be accepted by the user before they have access to the organization.

Parameters
email: str

Send an email to this address

role: Literal["reader", "owner"]

owner or reader

projects: Optional[Iterable[Project]]

An array of projects to which membership is granted at the same time the org invite is accepted. If omitted, the user will be invited to the default project for compatibility with legacy behavior. If empty list is passed, the user will not be invited to any projects, including the default one.

Returns
class Invite: …

Represents an individual invite to the organization.

id: str

The identifier, which can be referenced in API endpoints

created_at: int

The Unix timestamp (in seconds) of when the invite was sent.

formatunixtime
email: str

The email address of the individual to whom the invite was sent

object: Literal["organization.invite"]

The object type, which is always organization.invite

projects: List[Project]

The projects that were granted membership upon acceptance of the invite.

role: Literal["owner", "reader"]

owner or reader

status: Literal["accepted", "expired", "pending"]

accepted,expired, or pending

accepted_at: Optional[int]

The Unix timestamp (in seconds) of when the invite was accepted.

formatunixtime
expires_at: Optional[int]

The Unix timestamp (in seconds) of when the invite expires.

formatunixtime

Create invite

import os
from openai import OpenAI

client = OpenAI(
    admin_api_key=os.environ.get("OPENAI_ADMIN_KEY"),  # This is the default and can be omitted
)
invite = client.admin.organization.invites.create(
    email="email",
    role="reader",
)
print(invite.id)
{
  "object": "organization.invite",
  "id": "invite-def",
  "email": "anotheruser@example.com",
  "role": "reader",
  "status": "pending",
  "created_at": 1711471533,
  "expires_at": 1711471533,
  "accepted_at": null,
  "projects": [
    {
      "id": "project-xyz",
      "role": "member"
    },
    {
      "id": "project-abc",
      "role": "owner"
    }
  ]
}
Returns Examples
{
  "object": "organization.invite",
  "id": "invite-def",
  "email": "anotheruser@example.com",
  "role": "reader",
  "status": "pending",
  "created_at": 1711471533,
  "expires_at": 1711471533,
  "accepted_at": null,
  "projects": [
    {
      "id": "project-xyz",
      "role": "member"
    },
    {
      "id": "project-abc",
      "role": "owner"
    }
  ]
}